package gmt.stddecoder.vo;

import java.time.format.DateTimeFormatter;
import java.util.List;

public class LTEMStaticVO extends HeaderVO{
	private String mrn;			//선박 MRN
	private String area;		//관할 권역
	private String ship_nm;		//선박명
	private String ship_no;		//선박번호
	private String fshrbt_no;	//어선번호
	private String mmsi;		//MMSI
	private String rfid;		//RFID
	private String imo;			//IMO	
	private String clsgn;		//호출부호
	private String ship_ty;		//선종
	private Double Length;		//길이
	private Double width;		//폭(너비)
	private Double depth;		//깊이
	private Double draft;		//흘수
	private Double tn;			//톤 수
	private List<String> uc;	//UC 번호
	private String currUC;      //현재 UC번호
	
	public LTEMStaticVO() {
		mrn	= "";
		area = "";
		ship_nm	= "";
		ship_no	= "";
		fshrbt_no = "";
		mmsi = "";
		rfid = "";
		imo	= "";
		clsgn = "";
		ship_ty = "";
		Length = 0.0;
		width = 0.0;
		depth = 0.0;
		draft = 0.0;
		tn = 0.0;
		currUC = "";
	}	
	
	public String getCurrUC() {
		return currUC;
	}

	public void setCurrUC(String currUC) {
		this.currUC = currUC;
	}

	public List<String> getUc() {
		return uc;
	}

	public void setUc(List<String> uc) {
		this.uc = uc;
	}

	public String getMrn() {
		return mrn;
	}
	public void setMrn(String mrn) {
		this.mrn = mrn;
	}
	public String getArea() {
		return area;
	}
	public void setArea(String area) {
		this.area = area;
	}
	public String getShip_no() {
		return ship_no;
	}
	public void setShip_no(String ship_no) {
		this.ship_no = ship_no;
	}
	public String getMmsi() {
		return mmsi;
	}
	public void setMmsi(String mmsi) {
		this.mmsi = mmsi;
	}
	public String getRfid() {
		return rfid;
	}
	public void setRfid(String rfid) {
		this.rfid = rfid;
	}
	public String getImo() {
		return imo;
	}
	public void setImo(String imo) {
		this.imo = imo;
	}
	public String getShip_ty() {
		return ship_ty;
	}
	public void setShip_ty(String ship_ty) {
		this.ship_ty = ship_ty;
	}
	public Double getLength() {
		return Length;
	}
	public void setLength(Double length) {
		Length = length;
	}
	public Double getWidth() {
		return width;
	}
	public void setWidth(Double width) {
		this.width = width;
	}
	public Double getDepth() {
		return depth;
	}
	public void setDepth(Double depth) {
		this.depth = depth;
	}
	public Double getDraft() {
		return draft;
	}
	public void setDraft(Double draft) {
		this.draft = draft;
	}
	public String getFshrbt_no() {
		return fshrbt_no;
	}
	public void setFshrbt_no(String fshrbt_no) {
		this.fshrbt_no = fshrbt_no;
	}
	public String getShip_nm() {
		return ship_nm;
	}
	public void setShip_nm(String ship_nm) {
		this.ship_nm = ship_nm;
	}
	public String getClsgn() {
		return clsgn;
	}
	public void setClsgn(String clsgn) {
		this.clsgn = clsgn;
	}
	public Double getTn() {
		return tn;
	}
	public void setTn(Double tn) {
		this.tn = tn;
	}
	
	public String getString() {
		return  "TargetSensor : "+this.targetSensor+"\n"+
				"packetID     : "+this.packetID+"\n"+
				"ShipID       : "+this.shipID+"\n"+
				"DateTime     : "+this.dateTime.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss.SSS"))+"\n"+
				"AreaID 	  : "+this.areaID+"\n"+
				"MsgType 	  : "+this.msgType+"\n"+
				"DataLength   : "+this.dataLength+"\n"+
				"mrn		  : "+this.mrn+ "\n" + 
				"area		  : "+this.area+ "\n" + 
				"ship_nm	  : "+this.ship_nm+ "\n" + 
				"ship_no	  : "+this.ship_no+ "\n" + 	
				"fshrbt_no	  : "+this.fshrbt_no+ "\n" +	
				"mmsi		  : "+this.mmsi+ "\n" +
				"rfid		  : "+this.rfid+ "\n" +
				"imo		  : "+this.imo+ "\n" +	
				"clsgn		  : "+this.clsgn+ "\n" +
				"ship_ty	  : "+this.ship_ty+ "\n" +	
				"Length		  : "+String.valueOf(this.Length)+ "\n" +
				"width		  : "+String.valueOf(this.width)+ "\n" +
				"depth		  : "+String.valueOf(this.depth)+ "\n" +
				"draft		  : "+String.valueOf(this.draft)+ "\n" +				
				"tn	          : "+String.valueOf(this.tn)+ "\n"	+			
				"uc	          : "+this.uc.toString();
	}
}
